/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022MS00.java

*

* Created on 06/04/09 11:34:47

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public interface Q02bITablaBDQ022MS00 {

    /** Method reset */

    public void reset();



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna);



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect();



    /** Method freeResources() 

    * Este método libera los recursos del DAO.

    */

    public void freeResources();



    /** Method freeResourcesNotConnection() 

    * Este método libera los recursos del DAO.

    */

    public void freeResourcesNotConnection();



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect();



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas);



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas);



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom();



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif();



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead();



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur);



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate();



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu);



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas);



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy();



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException ;



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException ;



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException;



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException;



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException;



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException;



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException;



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException;



    /** Method update() */

    public void update()throws SQLException;



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException;



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException;



    /** Method delete */

    public void delete()throws SQLException;



    /** Method insert */

    public void insert()throws SQLException;



    /** Setter for property Q022MT00_ID_AYUN.

    * @param valor New value of propertyQ022MT00_ID_AYUN.

    */

    public void setQ022MT00_ID_AYUN(int valor);

    public void setQ022MT00_ID_AYUN(Integer valor);

    public void setQ022MT00_ID_AYUN_WHERE(int valor);

    public void setQ022MT00_ID_AYUN_WHERE(Integer valor);

    public void setQ022MT00_ID_AYUN_MODIF(boolean valor);

    /** Setter for property Q022MT00_PROV.

    * @param valor New value of propertyQ022MT00_PROV.

    */

    public void setQ022MT00_PROV(String valor);

    public void setQ022MT00_PROV_WHERE(String valor);

    public void setQ022MT00_PROV_MODIF(boolean valor);

    /** Setter for property Q022MT00_MUNI.

    * @param valor New value of propertyQ022MT00_MUNI.

    */

    public void setQ022MT00_MUNI(String valor);

    public void setQ022MT00_MUNI_WHERE(String valor);

    public void setQ022MT00_MUNI_MODIF(boolean valor);

    /** Setter for property Q022MT00_DESC.

    * @param valor New value of propertyQ022MT00_DESC.

    */

    public void setQ022MT00_DESC(String valor);

    public void setQ022MT00_DESC_WHERE(String valor);

    public void setQ022MT00_DESC_MODIF(boolean valor);

    /** Setter for property Q022MT00_DESC_EUS.

    * @param valor New value of propertyQ022MT00_DESC_EUS.

    */

    public void setQ022MT00_DESC_EUS(String valor);

    public void setQ022MT00_DESC_EUS_WHERE(String valor);

    public void setQ022MT00_DESC_EUS_MODIF(boolean valor);

    /** Setter for property Q022MT00_TVIA.

    * @param valor New value of propertyQ022MT00_TVIA.

    */

    public void setQ022MT00_TVIA(String valor);

    public void setQ022MT00_TVIA_WHERE(String valor);

    public void setQ022MT00_TVIA_MODIF(boolean valor);

    /** Setter for property Q022MT00_CALLE.

    * @param valor New value of propertyQ022MT00_CALLE.

    */

    public void setQ022MT00_CALLE(long valor);

    public void setQ022MT00_CALLE(Long valor);

    public void setQ022MT00_CALLE_WHERE(long valor);

    public void setQ022MT00_CALLE_WHERE(Long valor);

    public void setQ022MT00_CALLE_MODIF(boolean valor);

    /** Setter for property Q022MT00_BLOQ.

    * @param valor New value of propertyQ022MT00_BLOQ.

    */

    public void setQ022MT00_BLOQ(String valor);

    public void setQ022MT00_BLOQ_WHERE(String valor);

    public void setQ022MT00_BLOQ_MODIF(boolean valor);

    /** Setter for property Q022MT00_NUME.

    * @param valor New value of propertyQ022MT00_NUME.

    */

    public void setQ022MT00_NUME(int valor);

    public void setQ022MT00_NUME(Integer valor);

    public void setQ022MT00_NUME_WHERE(int valor);

    public void setQ022MT00_NUME_WHERE(Integer valor);

    public void setQ022MT00_NUME_MODIF(boolean valor);

    /** Setter for property Q022MT00_BIS.

    * @param valor New value of propertyQ022MT00_BIS.

    */

    public void setQ022MT00_BIS(String valor);

    public void setQ022MT00_BIS_WHERE(String valor);

    public void setQ022MT00_BIS_MODIF(boolean valor);

    /** Setter for property Q022MT00_ESCA.

    * @param valor New value of propertyQ022MT00_ESCA.

    */

    public void setQ022MT00_ESCA(String valor);

    public void setQ022MT00_ESCA_WHERE(String valor);

    public void setQ022MT00_ESCA_MODIF(boolean valor);

    /** Setter for property Q022MT00_PISO.

    * @param valor New value of propertyQ022MT00_PISO.

    */

    public void setQ022MT00_PISO(String valor);

    public void setQ022MT00_PISO_WHERE(String valor);

    public void setQ022MT00_PISO_MODIF(boolean valor);

    /** Setter for property Q022MT00_MANO.

    * @param valor New value of propertyQ022MT00_MANO.

    */

    public void setQ022MT00_MANO(String valor);

    public void setQ022MT00_MANO_WHERE(String valor);

    public void setQ022MT00_MANO_MODIF(boolean valor);

    /** Setter for property Q022MT00_PUER.

    * @param valor New value of propertyQ022MT00_PUER.

    */

    public void setQ022MT00_PUER(String valor);

    public void setQ022MT00_PUER_WHERE(String valor);

    public void setQ022MT00_PUER_MODIF(boolean valor);

    /** Setter for property Q022MT00_CODP.

    * @param valor New value of propertyQ022MT00_CODP.

    */

    public void setQ022MT00_CODP(String valor);

    public void setQ022MT00_CODP_WHERE(String valor);

    public void setQ022MT00_CODP_MODIF(boolean valor);

    /** Setter for property Q022MT00_CDIR.

    * @param valor New value of propertyQ022MT00_CDIR.

    */

    public void setQ022MT00_CDIR(String valor);

    public void setQ022MT00_CDIR_WHERE(String valor);

    public void setQ022MT00_CDIR_MODIF(boolean valor);

    /** Setter for property Q022MT00_EMAIL.

    * @param valor New value of propertyQ022MT00_EMAIL.

    */

    public void setQ022MT00_EMAIL(String valor);

    public void setQ022MT00_EMAIL_WHERE(String valor);

    public void setQ022MT00_EMAIL_MODIF(boolean valor);

    /** Setter for property Q022MT00_TELF1.

    * @param valor New value of propertyQ022MT00_TELF1.

    */

    public void setQ022MT00_TELF1(int valor);

    public void setQ022MT00_TELF1(Integer valor);

    public void setQ022MT00_TELF1_WHERE(int valor);

    public void setQ022MT00_TELF1_WHERE(Integer valor);

    public void setQ022MT00_TELF1_MODIF(boolean valor);

    /** Setter for property Q022MT00_TELF2.

    * @param valor New value of propertyQ022MT00_TELF2.

    */

    public void setQ022MT00_TELF2(int valor);

    public void setQ022MT00_TELF2(Integer valor);

    public void setQ022MT00_TELF2_WHERE(int valor);

    public void setQ022MT00_TELF2_WHERE(Integer valor);

    public void setQ022MT00_TELF2_MODIF(boolean valor);

    /** Setter for property Q022MT00_FAX.

    * @param valor New value of propertyQ022MT00_FAX.

    */

    public void setQ022MT00_FAX(int valor);

    public void setQ022MT00_FAX(Integer valor);

    public void setQ022MT00_FAX_WHERE(int valor);

    public void setQ022MT00_FAX_WHERE(Integer valor);

    public void setQ022MT00_FAX_MODIF(boolean valor);

    /** Setter for property Q022MT00_WEB.

    * @param valor New value of propertyQ022MT00_WEB.

    */

    public void setQ022MT00_WEB(String valor);

    public void setQ022MT00_WEB_WHERE(String valor);

    public void setQ022MT00_WEB_MODIF(boolean valor);

    /** Getter for property Q022MT00_ID_AYUN.

    * @return Value of property Q022MT00_ID_AYUN.

    */

    public Integer getQ022MT00_ID_AYUN();



    /** Getter for property Q022MT00_ID_AYUN_WHERE.

    * @return Value of property Q022MT00_ID_AYUN_WHERE.

    */

    public Integer getQ022MT00_ID_AYUN_WHERE();



    /** Getter for property Q022MT00_PROV.

    * @return Value of property Q022MT00_PROV.

    */

    public String getQ022MT00_PROV();



    /** Getter for property Q022MT00_PROV_WHERE.

    * @return Value of property Q022MT00_PROV_WHERE.

    */

    public String getQ022MT00_PROV_WHERE();



    /** Getter for property Q022MT00_MUNI.

    * @return Value of property Q022MT00_MUNI.

    */

    public String getQ022MT00_MUNI();



    /** Getter for property Q022MT00_MUNI_WHERE.

    * @return Value of property Q022MT00_MUNI_WHERE.

    */

    public String getQ022MT00_MUNI_WHERE();



    /** Getter for property Q022MT00_DESC.

    * @return Value of property Q022MT00_DESC.

    */

    public String getQ022MT00_DESC();



    /** Getter for property Q022MT00_DESC_WHERE.

    * @return Value of property Q022MT00_DESC_WHERE.

    */

    public String getQ022MT00_DESC_WHERE();



    /** Getter for property Q022MT00_DESC_EUS.

    * @return Value of property Q022MT00_DESC_EUS.

    */

    public String getQ022MT00_DESC_EUS();



    /** Getter for property Q022MT00_DESC_EUS_WHERE.

    * @return Value of property Q022MT00_DESC_EUS_WHERE.

    */

    public String getQ022MT00_DESC_EUS_WHERE();



    /** Getter for property Q022MT00_TVIA.

    * @return Value of property Q022MT00_TVIA.

    */

    public String getQ022MT00_TVIA();



    /** Getter for property Q022MT00_TVIA_WHERE.

    * @return Value of property Q022MT00_TVIA_WHERE.

    */

    public String getQ022MT00_TVIA_WHERE();



    /** Getter for property Q022MT00_CALLE.

    * @return Value of property Q022MT00_CALLE.

    */

    public Long getQ022MT00_CALLE();



    /** Getter for property Q022MT00_CALLE_WHERE.

    * @return Value of property Q022MT00_CALLE_WHERE.

    */

    public Long getQ022MT00_CALLE_WHERE();



    /** Getter for property Q022MT00_BLOQ.

    * @return Value of property Q022MT00_BLOQ.

    */

    public String getQ022MT00_BLOQ();



    /** Getter for property Q022MT00_BLOQ_WHERE.

    * @return Value of property Q022MT00_BLOQ_WHERE.

    */

    public String getQ022MT00_BLOQ_WHERE();



    /** Getter for property Q022MT00_NUME.

    * @return Value of property Q022MT00_NUME.

    */

    public Integer getQ022MT00_NUME();



    /** Getter for property Q022MT00_NUME_WHERE.

    * @return Value of property Q022MT00_NUME_WHERE.

    */

    public Integer getQ022MT00_NUME_WHERE();



    /** Getter for property Q022MT00_BIS.

    * @return Value of property Q022MT00_BIS.

    */

    public String getQ022MT00_BIS();



    /** Getter for property Q022MT00_BIS_WHERE.

    * @return Value of property Q022MT00_BIS_WHERE.

    */

    public String getQ022MT00_BIS_WHERE();



    /** Getter for property Q022MT00_ESCA.

    * @return Value of property Q022MT00_ESCA.

    */

    public String getQ022MT00_ESCA();



    /** Getter for property Q022MT00_ESCA_WHERE.

    * @return Value of property Q022MT00_ESCA_WHERE.

    */

    public String getQ022MT00_ESCA_WHERE();



    /** Getter for property Q022MT00_PISO.

    * @return Value of property Q022MT00_PISO.

    */

    public String getQ022MT00_PISO();



    /** Getter for property Q022MT00_PISO_WHERE.

    * @return Value of property Q022MT00_PISO_WHERE.

    */

    public String getQ022MT00_PISO_WHERE();



    /** Getter for property Q022MT00_MANO.

    * @return Value of property Q022MT00_MANO.

    */

    public String getQ022MT00_MANO();



    /** Getter for property Q022MT00_MANO_WHERE.

    * @return Value of property Q022MT00_MANO_WHERE.

    */

    public String getQ022MT00_MANO_WHERE();



    /** Getter for property Q022MT00_PUER.

    * @return Value of property Q022MT00_PUER.

    */

    public String getQ022MT00_PUER();



    /** Getter for property Q022MT00_PUER_WHERE.

    * @return Value of property Q022MT00_PUER_WHERE.

    */

    public String getQ022MT00_PUER_WHERE();



    /** Getter for property Q022MT00_CODP.

    * @return Value of property Q022MT00_CODP.

    */

    public String getQ022MT00_CODP();



    /** Getter for property Q022MT00_CODP_WHERE.

    * @return Value of property Q022MT00_CODP_WHERE.

    */

    public String getQ022MT00_CODP_WHERE();



    /** Getter for property Q022MT00_CDIR.

    * @return Value of property Q022MT00_CDIR.

    */

    public String getQ022MT00_CDIR();



    /** Getter for property Q022MT00_CDIR_WHERE.

    * @return Value of property Q022MT00_CDIR_WHERE.

    */

    public String getQ022MT00_CDIR_WHERE();



    /** Getter for property Q022MT00_EMAIL.

    * @return Value of property Q022MT00_EMAIL.

    */

    public String getQ022MT00_EMAIL();



    /** Getter for property Q022MT00_EMAIL_WHERE.

    * @return Value of property Q022MT00_EMAIL_WHERE.

    */

    public String getQ022MT00_EMAIL_WHERE();



    /** Getter for property Q022MT00_TELF1.

    * @return Value of property Q022MT00_TELF1.

    */

    public Integer getQ022MT00_TELF1();



    /** Getter for property Q022MT00_TELF1_WHERE.

    * @return Value of property Q022MT00_TELF1_WHERE.

    */

    public Integer getQ022MT00_TELF1_WHERE();



    /** Getter for property Q022MT00_TELF2.

    * @return Value of property Q022MT00_TELF2.

    */

    public Integer getQ022MT00_TELF2();



    /** Getter for property Q022MT00_TELF2_WHERE.

    * @return Value of property Q022MT00_TELF2_WHERE.

    */

    public Integer getQ022MT00_TELF2_WHERE();



    /** Getter for property Q022MT00_FAX.

    * @return Value of property Q022MT00_FAX.

    */

    public Integer getQ022MT00_FAX();



    /** Getter for property Q022MT00_FAX_WHERE.

    * @return Value of property Q022MT00_FAX_WHERE.

    */

    public Integer getQ022MT00_FAX_WHERE();



    /** Getter for property Q022MT00_WEB.

    * @return Value of property Q022MT00_WEB.

    */

    public String getQ022MT00_WEB();



    /** Getter for property Q022MT00_WEB_WHERE.

    * @return Value of property Q022MT00_WEB_WHERE.

    */

    public String getQ022MT00_WEB_WHERE();



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor);



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase();



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion();



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog();



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor);



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros();



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor);



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy();



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor);



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere();



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere();



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor);



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere();



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor);



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor);



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct();



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor);



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio();



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor);



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal();



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor);



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows();



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor);



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax();



    /** Getter for property conexion.

    * @return Value of property conexion.

    */

    public Connection getConn();



}

